interactions:
- request:
    body: '{"input":[{"role":"user","content":"What is 5 * 7?"}],"model":"gpt-4o-mini","text":{"format":{"type":"json_schema","name":"MathAnswer","strict":true,"schema":{"description":"Structured
      math answer.","properties":{"result":{"description":"The numerical result","title":"Result","type":"integer"},"explanation":{"description":"Brief
      explanation","title":"Explanation","type":"string"}},"required":["result","explanation"],"title":"MathAnswer","type":"object","additionalProperties":false}}}}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '489'
      content-type:
      - application/json
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/responses
  response:
    body:
      string: "{\n  \"id\": \"resp_0caf5bbcce78d9e300698e5009821c819285eb66e44b55093e\",\n
        \ \"object\": \"response\",\n  \"created_at\": 1770934281,\n  \"status\":
        \"completed\",\n  \"background\": false,\n  \"billing\": {\n    \"payer\":
        \"developer\"\n  },\n  \"completed_at\": 1770934282,\n  \"error\": null,\n
        \ \"frequency_penalty\": 0.0,\n  \"incomplete_details\": null,\n  \"instructions\":
        null,\n  \"max_output_tokens\": null,\n  \"max_tool_calls\": null,\n  \"model\":
        \"gpt-4o-mini-2024-07-18\",\n  \"output\": [\n    {\n      \"id\": \"msg_0caf5bbcce78d9e300698e5009c94c8192bad43e52974ab743\",\n
        \     \"type\": \"message\",\n      \"status\": \"completed\",\n      \"content\":
        [\n        {\n          \"type\": \"output_text\",\n          \"annotations\":
        [],\n          \"logprobs\": [],\n          \"text\": \"{\\\"result\\\":35,\\\"explanation\\\":\\\"Multiplying
        5 by 7 gives you the total of 5 groups of 7, which equals 35.\\\"}\"\n        }\n
        \     ],\n      \"role\": \"assistant\"\n    }\n  ],\n  \"parallel_tool_calls\":
        true,\n  \"presence_penalty\": 0.0,\n  \"previous_response_id\": null,\n  \"prompt_cache_key\":
        null,\n  \"prompt_cache_retention\": null,\n  \"reasoning\": {\n    \"effort\":
        null,\n    \"summary\": null\n  },\n  \"safety_identifier\": null,\n  \"service_tier\":
        \"default\",\n  \"store\": true,\n  \"temperature\": 1.0,\n  \"text\": {\n
        \   \"format\": {\n      \"type\": \"json_schema\",\n      \"description\":
        null,\n      \"name\": \"MathAnswer\",\n      \"schema\": {\n        \"description\":
        \"Structured math answer.\",\n        \"properties\": {\n          \"result\":
        {\n            \"description\": \"The numerical result\",\n            \"title\":
        \"Result\",\n            \"type\": \"integer\"\n          },\n          \"explanation\":
        {\n            \"description\": \"Brief explanation\",\n            \"title\":
        \"Explanation\",\n            \"type\": \"string\"\n          }\n        },\n
        \       \"required\": [\n          \"result\",\n          \"explanation\"\n
        \       ],\n        \"title\": \"MathAnswer\",\n        \"type\": \"object\",\n
        \       \"additionalProperties\": false\n      },\n      \"strict\": true\n
        \   },\n    \"verbosity\": \"medium\"\n  },\n  \"tool_choice\": \"auto\",\n
        \ \"tools\": [],\n  \"top_logprobs\": 0,\n  \"top_p\": 1.0,\n  \"truncation\":
        \"disabled\",\n  \"usage\": {\n    \"input_tokens\": 76,\n    \"input_tokens_details\":
        {\n      \"cached_tokens\": 0\n    },\n    \"output_tokens\": 34,\n    \"output_tokens_details\":
        {\n      \"reasoning_tokens\": 0\n    },\n    \"total_tokens\": 110\n  },\n
        \ \"user\": null,\n  \"metadata\": {}\n}"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Thu, 12 Feb 2026 22:11:22 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '1049'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      set-cookie:
      - SET-COOKIE-XXX
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
